Subject: Re: Invoice 1241619
From: "LLPS Customer Service" <[email-masked]>
To: "Jill Horton" <[email-masked]>
Date: Tue, 8 Mar 2011 13:53:13 -0500

Jill,
I see that you paid your last invoice with a credit card.  Did you want to 
pay for this order on a credit card as well?  I could call you to get the 
number if you are not comfortable emailing it to me.  Also, did you want the 
3 MI sets coming to you there in Indiana?
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]
----- Original Message ----- 
From: "Jill Horton" <[email-masked]>
To: "'Labor Law Poster Service'" <[email-masked]>
Sent: Tuesday, March 08, 2011 1:22 PM
Subject: RE: Invoice 1241619

> Can I get three sets for State of Michigan?
>
> Thanks,
>
> Jill Horton
> Accountant
> Future Keys, Inc.
> [email-masked]
> (317) 846-5300 ext. 13
>
> -----Original Message-----
> From: Labor Law Poster Service [mailto:[email-masked]]
> Sent: Friday, March 04, 2011 1:02 PM
> To: [email-masked]
> Subject: Invoice 1241619
>
>
>
> -------------------------
> Thank you for your order. Your invoice is attached.
>
> This is an automatically generated message from Labor Law Poster Service.
> UID: 18
>